- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::Host::CApplication Class Reference

List of all members.

## Detailed Description

Stores information about the applicaton.

Stores information about the applicaton, and provides ways to start
and end the application gracefully in the normal way...

Date:
  21/08/2004

Author:
  Paul Chana

Version:
  1.0.0 Initial version

  1.1.0 Made all windows identifiers (HINSTANCE and the like) static, cos you cant really have more than one!

  1.2.0 Made all identifiers static, same reason as above

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CApplication.hpp,v 1.6 2007/02/11 02:15:54 paul Exp

Definition at line 48 of file CApplication.hpp.

## Static Public Member Functions

- static const CString & getApplicationCopyrightInformation ()
- static const CString & getApplicationDescription ()
- static const CString & getApplicationDeveloper ()
- static const CSystemString & getApplicationInstallPath ()
- static const CString & getApplicationInstance ()
- static HINSTANCE getApplicationInstance ()
- static const CString & getApplicationModuleHandle ()
- static HMODULE getApplicationModuleHandle ()
- static const CString & getApplicationName ()
- static const CString & getApplicationRegistry ()
- static const CString & getApplicationVersion ()
- static const IWindow * getApplicationWindow ()
- static HWND getApplicationWindowHandle ()
- static void getCurrentExecutableFileName (CString &filename)
- static void getModuleFileName (CString &filename)
- static unsigned long runApplicationEventLoop ()
- static void setApplicationCopyrightInformation (const CString &applicationCopyRight)
- static void setApplicationDescription (const CString &applicationDescription)
- static void setApplicationDeveloper (const CString &applicationDeveloper)
- static void setApplicationInstallPath (const CSystemString &path)
- static void setApplicationInstallPathFromApplicationHandle ()
- static void setApplicationInstance (const CString &instance)
- static void setApplicationInstance (HINSTANCE instance)
- static void setApplicationModuleHandle (const CString &moduleInstance)
- static void setApplicationModuleHandle (HMODULE moduleInstance)
- static void setApplicationName (const CString &applicationName)
- static void setApplicationRegistry (const CString &path)
- static void setApplicationVersion (const CString &applicationVersion)
- static void setApplicationWindow (IWindow *window)
- static void setApplicationWindowHandle (HWND windowHandle)
- static void stopApplicationEventLoop ()

## Static Protected Attributes

- static CString CAPPLICATION_COPYRIGHT
- static CString CAPPLICATION_DEVELOPER
- static CSystemString CAPPLICATION_INSTALL_PATH
- static CString CAPPLICATION_INSTANCEHANDLE
- static HINSTANCE CAPPLICATION_INSTANCEHANDLE
- static CString CAPPLICATION_MODULEHANDLE
- static HMODULE CAPPLICATION_MODULEHANDLE
- static CString CAPPLICATION_NAME
- static CString CAPPLICATION_PRODUCT
- static CString CAPPLICATION_REGISTRY
- static CString CAPPLICATION_VERSION
- static IWindow * CAPPLICATION_WINDOW
- static HWND CAPPLICATION_WINDOWHANDLE

## Member Function Documentation

static const CString& Exponent::Host::CApplication::getApplicationCopyrightInformation | ( |  | ) | `[static]`

Get the application copyright

Return values:

  | const | CString& The application copyright

static const CString& Exponent::Host::CApplication::getApplicationDescription | ( |  | ) | `[static]`

Get the application product description

Return values:

  | const | CString& A description of the product

static const CString& Exponent::Host::CApplication::getApplicationDeveloper | ( |  | ) | `[static]`

Get the application developer

Return values:

  | const | CString& The application developer

static const CSystemString& Exponent::Host::CApplication::getApplicationInstallPath | ( |  | ) | `[static]`

Get the application install path

Return values:

  | const | CSystemString& The install path of the module

static const CString& Exponent::Host::CApplication::getApplicationInstance | ( |  | ) | `[inline, static]`

Get the application instance

Return values:

  | const | CString& The mac application instance

Definition at line 128 of file CApplication.hpp.

static HINSTANCE Exponent::Host::CApplication::getApplicationInstance | ( |  | ) | `[inline, static]`

Get the HINSTANCE

Return values:

  | HINSTANCE | The Windows application instance

Definition at line 79 of file CApplication.hpp.

static const CString& Exponent::Host::CApplication::getApplicationModuleHandle | ( |  | ) | `[inline, static]`

Get the module handle

Return values:

  | const | CString& The mac module handle

Definition at line 134 of file CApplication.hpp.

static HMODULE Exponent::Host::CApplication::getApplicationModuleHandle | ( |  | ) | `[inline, static]`

Get the module handle

Return values:

  | HMODULE | The module handle

Definition at line 91 of file CApplication.hpp.

static const CString& Exponent::Host::CApplication::getApplicationName | ( |  | ) | `[static]`

Get the application name

Return values:

  | const | CString& The application name

static const CString& Exponent::Host::CApplication::getApplicationRegistry | ( |  | ) | `[static]`

Get the application registry path

Return values:

  | const | CString& The registry path

static const CString& Exponent::Host::CApplication::getApplicationVersion | ( |  | ) | `[static]`

Get the application version

Return values:

  | const | CString& The application version

static const IWindow* Exponent::Host::CApplication::getApplicationWindow | ( |  | ) | `[static]`

Get the main application window

Return values:

  | const | IWindow* The Application main window

static HWND Exponent::Host::CApplication::getApplicationWindowHandle | ( |  | ) | `[inline, static]`

Get the application window handle

Return values:

  | HWND | The window handle

Definition at line 85 of file CApplication.hpp.

static void Exponent::Host::CApplication::getCurrentExecutableFileName | ( | CString & | filename | ) | `[static]`

Get the current module file name

Parameters:

  | filename | On returns stores the name of the executable being run

Note:
  Doesnt work for DLL's and the like

See also:
  getModuleFileName

static void Exponent::Host::CApplication::getModuleFileName | ( | CString & | filename | ) | `[static]`

Get the current module file name

Parameters:

  | filename | On returns stores the name of the module being run

Note:
  Doesnt work for executables

See also:
  getCurrentExecutableFileName

static unsigned long Exponent::Host::CApplication::runApplicationEventLoop | ( |  | ) | `[static]`

Run the application

Return values:

  | unsigned | long On windoes machines a result code from the message loop. On mac return is always 0

static void Exponent::Host::CApplication::setApplicationCopyrightInformation | ( | const CString & | applicationCopyRight | ) | `[static]`

Set the copyright information

Parameters:

  | applicationCopyRight | Arbitrary string that can say anything you want

static void Exponent::Host::CApplication::setApplicationDescription | ( | const CString & | applicationDescription | ) | `[static]`

Set the application description

Parameters:

  | applicationDescription | The application description

static void Exponent::Host::CApplication::setApplicationDeveloper | ( | const CString & | applicationDeveloper | ) | `[static]`

Set the application developer

Parameters:

  | applicationDeveloper | The developer of the application

static void Exponent::Host::CApplication::setApplicationInstallPath | ( | const CSystemString & | path | ) | `[static]`

Set the application install path

Parameters:

  | path | The install path of the application

static void Exponent::Host::CApplication::setApplicationInstallPathFromApplicationHandle | ( |  | ) | `[static]`

Set the application install path, based on the module handle

static void Exponent::Host::CApplication::setApplicationInstance | ( | const CString & | instance | ) | `[inline, static]`

Store the HINSTANCE

Parameters:

  | instance | The mac application instance (java form)

Definition at line 116 of file CApplication.hpp.

static void Exponent::Host::CApplication::setApplicationInstance | ( | HINSTANCE | instance | ) | `[inline, static]`

Store the HINSTANCE

Parameters:

  | instance | The windows application instance

Definition at line 61 of file CApplication.hpp.

static void Exponent::Host::CApplication::setApplicationModuleHandle | ( | const CString & | moduleInstance | ) | `[inline, static]`

Store the applications module handle

Parameters:

  | moduleInstance | The instance of the module

Definition at line 122 of file CApplication.hpp.

static void Exponent::Host::CApplication::setApplicationModuleHandle | ( | HMODULE | moduleInstance | ) | `[inline, static]`

Store the applications module handle

Parameters:

  | moduleInstance | The instance of the module

Definition at line 73 of file CApplication.hpp.

static void Exponent::Host::CApplication::setApplicationName | ( | const CString & | applicationName | ) | `[static]`

Set hte application name

Parameters:

  | applicationName | The name of the application

static void Exponent::Host::CApplication::setApplicationRegistry | ( | const CString & | path | ) | `[static]`

Set the application registry path

Parameters:

  | path | The registry path

static void Exponent::Host::CApplication::setApplicationVersion | ( | const CString & | applicationVersion | ) | `[static]`

Set the application version

Parameters:

  | applicationVersion | The version of the application

static void Exponent::Host::CApplication::setApplicationWindow | ( | IWindow * | window | ) | `[static]`

Set the application main window

Parameters:

  | window | The application main window

Note:
  IMPORTANT! THIS DOES NOT INCREMENT THE REFERENCE COUNT OF THE WINDOW!
  The window is stored as a pointer manually. It will never be accessed by this class and is used solely to check for the validity
  of automagic system shutdown
  It should be noted that this will only work on windows based systems, macs are tied to the menu system and windows can be opened and closed at will...

See also:
  EGUI::Windowing::CWindow::windowClosed

static void Exponent::Host::CApplication::setApplicationWindowHandle | ( | HWND | windowHandle | ) | `[inline, static]`

Store the applications window handle

Parameters:

  | windowHandle | The application window handle

Definition at line 67 of file CApplication.hpp.

static void Exponent::Host::CApplication::stopApplicationEventLoop | ( |  | ) | `[static]`

Stop the application. Exits normally.

## Member Data Documentation

CString Exponent::Host::CApplication::CAPPLICATION_COPYRIGHT`[static, protected]`

Copyright of the app

Definition at line 285 of file CApplication.hpp.

CString Exponent::Host::CApplication::CAPPLICATION_DEVELOPER`[static, protected]`

Name of the developer

Definition at line 283 of file CApplication.hpp.

CSystemString Exponent::Host::CApplication::CAPPLICATION_INSTALL_PATH`[static, protected]`

Where is the application installed

Definition at line 288 of file CApplication.hpp.

CString Exponent::Host::CApplication::CAPPLICATION_INSTANCEHANDLE`[static, protected]`

Java form com.exponent.balh.foo

Definition at line 277 of file CApplication.hpp.

HINSTANCE Exponent::Host::CApplication::CAPPLICATION_INSTANCEHANDLE`[static, protected]`

the instance of the application

Definition at line 271 of file CApplication.hpp.

CString Exponent::Host::CApplication::CAPPLICATION_MODULEHANDLE`[static, protected]`

Java form com.exponent.balh.foo

Definition at line 278 of file CApplication.hpp.

HMODULE Exponent::Host::CApplication::CAPPLICATION_MODULEHANDLE`[static, protected]`

the instance of the module

Definition at line 272 of file CApplication.hpp.

CString Exponent::Host::CApplication::CAPPLICATION_NAME`[static, protected]`

Name of app

Definition at line 282 of file CApplication.hpp.

CString Exponent::Host::CApplication::CAPPLICATION_PRODUCT`[static, protected]`

Description of the product

Definition at line 286 of file CApplication.hpp.

CString Exponent::Host::CApplication::CAPPLICATION_REGISTRY`[static, protected]`

Registry of the product

Definition at line 287 of file CApplication.hpp.

CString Exponent::Host::CApplication::CAPPLICATION_VERSION`[static, protected]`

Version of the app

Definition at line 284 of file CApplication.hpp.

IWindow* Exponent::Host::CApplication::CAPPLICATION_WINDOW`[static, protected]`

Application window

Definition at line 290 of file CApplication.hpp.

HWND Exponent::Host::CApplication::CAPPLICATION_WINDOWHANDLE`[static, protected]`

the window handle

Definition at line 273 of file CApplication.hpp.